Bug 970050 - [targetcli] the automatically prompted wwpn is ended with an unnecessary ':'
[targetcli] the automatically prompted wwpn is ended with an unnecessary ':'
Status: CLOSED WONTFIX
Product: Red Hat Enterprise Linux 6
Classification: Red Hat
Component: fcoe-target-utils (Show other bugs)
6.4
Unspecified Unspecified
unspecified Severity medium
: rc
: ---
Assigned To: Maurizio Lombardi
Bruno Goncalves
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2013-06-03 07:49 EDT by Xiaowei Li
Modified: 2017-12-06 06:46 EST (History)
1 user (show)

See Also:
Fixed In Version:
Doc Type: If docs needed, set a value
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2017-12-06 06:46:42 EST
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Xiaowei Li 2013-06-03 07:49:44 EDT
Description of problem:
the automatically prompted wwpn is ended with an unnecessary ':' 

the user can use the tab key to get the suggested input. But the automatically prompted wwpn is ended with an unnecessary ':', this maybe cause some unexpected confused error.  

Version-Release number of selected component (if applicable):
fcoe-utils-1.0.24-2.el6.x86_64

How reproducible:
100%


Steps to Reproduce:
1.targetcli
/tcm_fc> create 
10:00:00:05:33:26:9e:4e:
    wwn=                         
................wwn|keyword=
/tcm_fc> create 10:00:00:05:33:26:9e:4e:
Could not create Target in configFS.


2.
3.

Actual results:
10:00:00:05:33:26:9e:4e:

Expected results:
10:00:00:05:33:26:9e:4e

Additional info:
Comment 2 RHEL Product and Program Management 2013-07-03 14:19:55 EDT
This request was evaluated by Red Hat Product Management for
inclusion in a Red Hat Enterprise Linux release.  Product
Management has requested further review of this request by
Red Hat Engineering, for potential inclusion in a Red Hat
Enterprise Linux release for currently deployed products.
This request is not yet committed for inclusion in a release.
Comment 4 Bruno Goncalves 2013-09-06 10:43:27 EDT
It seems the problem still there, it still gives the wwn with ":" at the end

[root@storageqe-13 ~]# rpm -q fcoe-target-utils
fcoe-target-utils-2.0rc1.fb16-5.el6.noarch


/tcm_fc> create 20:00:00:1b:21:59:12:3
20:00:00:1b:21:59:12:36:
   20:00:00:1b:21:59:12:37:
   
................wwn
/tcm_fc> create 20:00:00:1b:21:59:12:36:
Comment 12 Jan Kurik 2017-12-06 06:46:42 EST
Red Hat Enterprise Linux 6 is in the Production 3 Phase. During the Production 3 Phase, Critical impact Security Advisories (RHSAs) and selected Urgent Priority Bug Fix Advisories (RHBAs) may be released as they become available.

The official life cycle policy can be reviewed here:

http://redhat.com/rhel/lifecycle

This issue does not meet the inclusion criteria for the Production 3 Phase and will be marked as CLOSED/WONTFIX. If this remains a critical requirement, please contact Red Hat Customer Support to request a re-evaluation of the issue, citing a clear business justification. Note that a strong business justification will be required for re-evaluation. Red Hat Customer Support can be contacted via the Red Hat Customer Portal at the following URL:

https://access.redhat.com/

Note You need to log in before you can comment on or make changes to this bug.